Models
Model History
Lists the overall history of models.
GET
/
ai-models
/
history
Model History
curl --request GET \
--url https://api.example.com/ai-models/historyimport requests
url = "https://api.example.com/ai-models/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/ai-models/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Endpoint
GET https://gateway.orkeia.ai/ai-models/history
Headers
Requires headerauthorization: <your_token>.
authorization: <your_token>
Content-Type: application/json
Query string
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
last | string | No | Cursor/offset of the last page read | "hist_010" |
limit | string | No | Amount per page | "20" |
field | string | No | Field for sorting | "date" |
direction | asc/desc | No | Sorting direction | "desc" |
Request Body
{
"environment": {
"company": "acme-inc",
"sector": "engineering"
}
}
Response (200)
{
"status": "ok",
"data": {
"items": [
{
"id": "hist_001",
"responsible": "System",
"responsibleId": "system",
"action": "created ai model",
"type": "neutral",
"date": "2025-08-22T18:32:45.000Z",
"versionControl": "v1.0.0"
}
],
"next": "hist_010"
}
Error Codes
500 — Server Error
{
"status": "ERROR",
"code": "server/error",
"data": null
}
400 — Client Error
{
"status": "ERROR",
"code": "client/error",
"data": null
}
Was this page helpful?
⌘I
